image: registry.gitlab.com/tim.weyand/dockerbuild-ci:latest

variables:
  DOCKER_DRIVER: 'overlay2'
  DOCKER_HOST: tcp://docker:2375

services:
  - docker:dind

stages:
 - build

build-latest:
  stage: build
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker build --no-cache --pull -t registry.gitlab.com/tim.weyand/minecraft-bedrock .
    - docker push registry.gitlab.com/tim.weyand/minecraft-bedrock
